Subject: Re: [PATCH net 3/4] net: aquantia: Improve and fix statistics on device

From: Andrew Lunn <[email-masked]>
Date: Thu, 7 Dec 2017 20:08:30 +0100

On Thu, Dec 07, 2017 at 11:39:44AM +0300, Igor Russkikh wrote:
> 1) Device hardware provides only 32bit counters. Using these directly
> causes byte counters to overflow soon. A separate nic level structure
> with 64 bit counters is now used to collect incrementally all the stats
> and report these counters to ethtool stats and ndev stats.
> 
> 2) ndev stats were filled from ring counters. These sometimes incorrectly
> calculate byte and packet amounts when using LRO/LSO and jumboframes.
> Fill ndev counters from hardware makes them precise.
> 
> 3) Fill in multicast counter in ndev stats from hardware counter
> 
> 4) Improve link state and statistics check interval callback: reduce normal
> timeout from 2 secs to 1 sec. If link is down, reduce it to 500msec. This
> speeds up link detection.
> 
> 5) Reset driver level statistics to zero on initialization
> 
> 6) Fix typo in ethtool statistics names

Hi Igor

This list suggests there should actually be 6 patches, not one.

     Andrew